package com.yakindu.ea.examples.orderingsoftware.template.core

import org.eclipse.core.resources.ResourcesPlugin
import org.eclipse.core.runtime.Path

abstract class AbstractTemplate {

	protected static val PROJECT_PREFIX = "com.example.orderingsoftware."
	protected static val SRC_GEN_PREFIX = "src/main/generated/"

	protected def getTargetFilePath(String projectPostfix, String filePath) {
		val projectName = PROJECT_PREFIX + projectPostfix
		val targetProject = ResourcesPlugin.workspace.root.getProject(projectName)
		if (targetProject.exists && targetProject.open) {
			return targetProject.getFile(new Path(SRC_GEN_PREFIX + filePath));
		} else {
			return null
		}
	}
}
