package com.yakindu.ea.examples.orderingsoftware.template.hbase

import com.yakindu.ea.examples.orderingsoftware.template.core.ClassTemplate
import com.yakindu.bridges.ea.examples.runtime.codegen.EACodegen
import com.yakindu.bridges.ea.examples.runtime.codegen.EACodegenFile
import org.eclipse.core.resources.IFile
import org.eclipse.uml2.uml.Class

class HBaseClassTemplate extends ClassTemplate {
	@EACodegenFile
	def IFile path(Class element, IFile defaultFile) {
		return getTargetFilePath("hbase", "com/example/orderingsoftware/" + defaultFile.name)
	}
	
	@EACodegen("java")
	override generate(Class element) {
		return super.generate(element)
	}
}